xoops forums

tuxsoul

Just popping in
Posted on: 2006/8/26 1:22
tuxsoul
tuxsoul (Show more)
Just popping in
Posts: 13
Since: 2006/1/10
#1

Release xoops 2.0.14, 2.0.15 but new modules ?

Hi, i'm using XOOPS since 2.0.13.2 version and have the modules this version include:

contact
mydownloads
mylinks
newbb
news
sections
xoopsfaq
xoopsheadline
xoopsmembers
xoopspartners
xoopspoll

When the new release out, this modules i don't where get the last version for possible bug's in this.

I see a bug in xoopsheadline get this in my computer of test:
Quote:
Fatal error: Call to a member function on a non-object in /var/www/xoops/class/xoopsform/form.php on line 193


I have upgrade to last release 2.0.15

Searching in xoops.org for example, i don't find "xoopsheadline" somebody can tellme where i cand find new versions for this modules please


sorry my english is poor
greetings

tom

Friend of XOOPS
Posted on: 2006/8/26 1:29
tom
tom (Show more)
Friend of XOOPS
Posts: 1359
Since: 2002/9/21
#2

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

I asked a similar question on the news article release of 2.0.15.

any way here is what I understand:

contact - no official support - other third party modules available
mydownloads - no official support - other third party modules available
mylinks - No longer updated
newbb - php
news - Herv - - no official support - other third party modules available
sections - No longer updated - Try Smartfactory they have smartsections
xoopsfaq - No longer updated
xoopsheadline - No longer updated - you could try phpbb's planet module
xoopsmembers - No longer updated
xoopspartners - No longer updated - Try Smartfactory they have a partners module
xoopspoll - No longer updated

You can try the following sites:

http://dev.xoops.org/
http://www.smartfactory.ca/
http://www.brandycoke.com - Contact module, not sure if it works on latest XOOPS though

I'm sure there are plenty others, but I a little tired to think, lol.

Hope this is of some help.
Posted on: 2006/8/26 1:31
jensclas
jensclas (Show more)
Posts: 2089
Since: 2004/10/31
#3

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

Some modules should continue to work without a problem if you update correctly. Other modules are actively being updated. See this FAQ and this draft doc at the documentation website. (Being a draft it is not finished - but should help find some current links)
HTH

tom

Friend of XOOPS
Posted on: 2006/8/26 1:45
tom
tom (Show more)
Friend of XOOPS
Posts: 1359
Since: 2002/9/21
#4

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

hi Jen,

from that FAQ:

Quote:
There is of course the module repository as well. So - there are plenty of modules out there


Just wondering will this be kept upto date, as the latest version of newbb isn't there are also a few others I note not being there.

Same question for the Themes Repository, for the last couple of weeks the omnetwork themes cant be downloaded, as registration gives errors on his/her site, hence you cannot download. Also a recent theme release whereby I can't see any downloads when you click on the zip files, just gives a site with no visable dl links:

https://xoops.org/modules/news/article.php?storyid=3217

Thanks.
Posted on: 2006/8/26 1:59
jensclas
jensclas (Show more)
Posts: 2089
Since: 2004/10/31
#5

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

I am told a new xoops.org is coming and the problems with repository for modules and themes will be once again accessible and updatable - at present they are 'off limits' to user access and have been since that hack attack last year. In the mean time developers for both modules and themes are using xoops.org news to announce their updates. I know it's not the answer we want right now but getting the latest release right I think had priority. So..if nothing is revealed in a search that is a good indication no work has been done on it recently. Trying to contact the module developer is one way to see if you can get some help on something that hasn't been recently updated. using search for the error message will also be useful to troubleshoot why an old mosulde isn't working like it used to.

So if tuxsoul were to search

'Call to a member function on a non-object'


they would find an faq or thread that might solve the problem without worrying about a module update.


What I do recomend is that XOOPS users stay with modules that are no longer under development but working just fine...but look for modules that are being actively updated/developed to replace the ones that don't. The development of the XOOPS 2.0 series is not intended to make any XOOPS 2.0 module not work...but there are other issues like the changes in php etc

What would be really good to see is module developers use the modules section of the documentation website to build a more current and up to date listing of available modules. In their they can also add installation and administration docs.

hervet

Friend of XOOPS
Posted on: 2006/8/26 7:11
hervet
hervet (Show more)
Friend of XOOPS
Posts: 2267
Since: 2003/11/4
#6

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

Hi,

Quote:

tom wrote:

news - Herv - - no official support - other third party modules available

this is "a bit" offending...... a bit.

How the things are runing on codeproject ?

Ps : Any help is welcome.
Quote:

La critique est aisée, mais l'art est difficile



bye,
Hervé

tuxsoul

Just popping in
Posted on: 2006/8/26 7:34
tuxsoul
tuxsoul (Show more)
Just popping in
Posts: 13
Since: 2006/1/10
#7

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

Hi again.

The error of xoopsheadline module is not danger for my, only was the example to update the last XOOPS version release.

I like to know about new version modules for security reasons to XOOPS productions sites.

The XOOPS release 2.0.14 and 2.0.15 don't include modules only the core, that expose the sites why not update modules, and searching in the dev.xoops.org, don't find all modules that 2.0.13 version include.

How say the XOOPS member, i can download other's modules for that:

Quote:
contact - no official support - other third party modules available
mydownloads - no official support - other third party modules available
mylinks - No longer updated
newbb - php
news - Herv - - no official support - other third party modules available
sections - No longer updated - Try Smartfactory they have smartsections
xoopsfaq - No longer updated
xoopsheadline - No longer updated - you could try phpbb's planet module
xoopsmembers - No longer updated
xoopspartners - No longer updated - Try Smartfactory they have a partners module
xoopspoll - No longer updated


Somebody know about bug's in this modules or exist a list the modules dangerous ?.


sorry my english is poor

sudhaker

Not too shy to talk
Posted on: 2006/8/29 3:50
sudhaker
sudhaker (Show more)
Not too shy to talk
Posts: 117
Since: 2003/2/6 2
#8

Re: Release xoops 2.0.14, 2.0.15 but new modules ?

Version: 2.0.15
File: class/xoopsform/form.php
Line#: 193

Old code:
if (!$this->_elements[$i]->isContainer()) {


New code:
if (is_string($this->_elements[$i]) || !$this->_elements[$i]->isContainer()) {


This will fix above error "Call to a member function on a non-object..."

Enjoy. Someone with commit access please change this in 2.0.15 code base.

Thanks.
Sudhaker Raj
............

giba

Just can't stay away
Posted on: 2006/9/2 12:18
giba
giba (Show more)
Just can't stay away
Posts: 638
Since: 2003/4/26
#9

Re: Relese xoops 2.0.14, 2.0.15 but new modules ?

Quote:

hervet wrote:
Hi,

Quote:

tom wrote:

news - Herv - - no official support - other third party modules available

this is "a bit" offending...... a bit.

How the things are runing on codeproject ?

Ps : Any help is welcome.
Quote:

La critique est aisée, mais l'art est difficile



bye,
Hervé


I too offending and all xoopers.

Hervé Works for remember - modules.

Mydownloads version 1.3 for Xoops. - Official Release.

Newbbex released 26/Ago/2006

Shortcuts Released 21/Ago/2006

Marquee 2 Version définitive - Released 19/Ago/2006

iSearch Released 18/Ago/2006

My opnion about Bugs release Version XOOPS 2.0.15 and outhers.

Core Team please, contact or information devs modules about significative and relevance change in functions, class, problems for not it

But, no war, i am in the PAZ